<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');                                             

class Model_music extends CI_Model {
	public function __construct(){
		$this->load->database();
	}

	public function getAlbums(){
		$query = $this->db->query(
			"SELECT album.name,album.id,year,artist.name as artistName, genre.name as genreName,jpeg 
			FROM album 
			JOIN artist ON album.artistid = artist.id
			JOIN genre ON genre.id = album.genreid
			JOIN cover ON cover.id = album.coverid
			ORDER BY year
			"
		);
	return $query->result();
	}

	public function getArtistes(){
		$query = $this->db->query(
			"SELECT artist.name, artist.id
			FROM artist 
			ORDER BY artist.name
			"
		);
	return $query->result();
	}

	public function getChansons(){
		$query = $this->db->query(
			"SELECT song.name,song.id,album.year,album.name as albumName, artist.name as artistName, genre.name as genreName
			FROM song 
			JOIN track ON track.songId = song.id
			JOIN album ON album.id = track.albumId
			JOIN artist ON album.artistid = artist.id
			JOIN genre ON genre.id = album.genreid
			ORDER BY album.year
			"
		);
	return $query->result();
	}

	public function getSearchAlbums($nom){
		$query = $this->db->query(
			"SELECT album.name,album.id,year,artist.name as artistName, genre.name as genreName,jpeg 
			FROM album 
			JOIN artist ON album.artistid = artist.id
			JOIN genre ON genre.id = album.genreid
			JOIN cover ON cover.id = album.coverid
			WHERE album.name LIKE '$nom'
			"
		);
		$query->result();
		if ($query->num_rows() > 0){
			return $query;
		}
		return $query = false;
	}

	public function getSearchArtistes($nom){
		$query = $this->db->query(
			"SELECT artist.name, artist.id
			FROM artist 
			WHERE artist.name LIKE '$nom'
			"
		);
		$query->result();
		if ($query->num_rows() > 0){
			return $query;
		}
		return $query = false;
	}

	public function getSearchChansons($nom){
		$query = $this->db->query(
			"SELECT song.name,song.id,album.year,album.name as albumName, artist.name as artistName, genre.name as genreName
			FROM song 
			JOIN track ON track.songId = song.id
			JOIN album ON album.id = track.albumId
			JOIN artist ON album.artistid = artist.id
			JOIN genre ON genre.id = album.genreid
			WHERE song.name LIKE '$nom'
			
			"
		);
	$query->result();
	if ($query->num_rows() > 0){
		return $query;
	}
	return $query = false;
	}
}
